#header {
    width: 100%;
    height: 80px;
    position: fixed;
    z-index: 1000;
}

.header-grid {
    display: grid;
    grid-template-columns: 1fr 2fr;
    padding: 0 20px;
}

/* Logga */

.logo:hover {
    opacity: 0.75;
}

.logo img {
    height: 60px;
    width: auto;
    padding: 20px 0;
}

#logo-dark {
    display: none;
    transition: all 0.3s ease;
}

#logo-light {
    transition: all 0.3s ease;
}

/* Meny */

.menu-wrapper {
    text-align: right;
}

/* Checkbox */

.toggler {
    position: absolute;
    width: 30px;
    height: 60px;
    opacity: 0;
    right: 20px;
    top: 10px;
    z-index: 200;
    cursor: pointer;
}

/* Hamburgare */

.hamburger {
    width: 30px;
    height: 60px;
    position: absolute;
    right: 20px;
    top: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hamburger-line {
    position: relative;
    width: 100%;
    height: 2px;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

.hamburger-line::before, .hamburger-line::after {
    content: '';
    position: absolute;
    top: -10px;
    width: 100%;
    height: 2px;
    background: inherit;
}

.hamburger-line::after {
    top: 10px;
}

/* Hamburgare -- Annimera sträcken --- */

.toggler:checked+.hamburger>.hamburger-line {
    transform: rotate(135deg);
    background: var(--main-own);
}

.toggler:checked+.hamburger>.hamburger-line::before, .toggler:checked+.hamburger>.hamburger-line::after {
    transform: rotate(90deg);
    top: 0;
    background: var(--main-own);
}

/* Meny -- Visas inte från början -- */

.menu {
    margin: 80px 0 0 0;
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
    visibility: hidden;
    display: block;
    border-radius: 0 0 15px 15px;
    transition: all 0.3s ease-in-out;
}

.menu-list {
    background: var(--dark);
    z-index: 10;
    padding: 20px 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.menu-list li {
    padding: 15px 0;
}

.menu-list-link {
    color: var(--light);
    font-size: 2rem;
}

.menu-list-link:hover, .menu-list-link-active:hover {
    color: #999;
}

.menu-list-link-active {
    font-size: 2rem;
    color: var(--main-own);
}

.toggler:checked~.menu {
    visibility: visible;
}

/* Responsive */

@media screen and (min-width: 600px) {
    .header-grid {
        padding: 0 80px;
    }
    .toggler, .hamburger {
        right: 80px;
    }
}

@media screen and (min-width: 1024px) {
    .header-grid {
        padding: 0 150px;
    }
    .hamburger, .toggler {
        display: none;
    }
    .menu {
        visibility: visible;
        margin: 0;
        padding: 0;
        position: relative;
    }
    .menu-list {
        background: none;
        padding: 0;
        height: 80px;
        display: block;
        text-align: right;
    }
    .menu-list li {
        display: inline;
        padding: 0 15px;
        line-height: 80px;
    }
    .menu-list-link {
        color: var(--light);
        font-size: 1rem;
    }
    .menu-list-link-active {
        font-size: 1rem;
        color: var(--main-own);
    }
}

@media screen and (min-width: 1440px) {
    .header-grid {
        padding: 0 280px;
    }
}

@media screen and (min-width: 1920px) {
    .header-grid {
        padding: 0 400px;
    }
}

@media screen and (min-width: 2560px) {
    .header-grid {
        padding: 0 480px;
    }
}